> For the complete documentation index, see [llms.txt](https://docs.cange.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cange.me/api/cadastros/buscar-um-cadastro.md).

# Buscar um cadastro

A busca de registros de cadastros é um recurso essencial para a gestão de dados mestres dentro da plataforma Cange, permitindo um acesso rápido e organizado às informações de clientes, fornecedores, produtos e outros dados fundamentais para o seu negócio.

Utilizar a API de Busca de Cadastros do Cange oferece uma maneira eficiente e automatizada de localizar e recuperar esses dados diretamente de suas aplicações ou sistemas existentes, garantindo maior precisão e consistência nos processos operacionais.

Para buscar um registro de cadastro através da API, você precisará ter um token de acesso. Se ainda não possui o seu token, consulte nosso guia abaixo sobre como obter o token de autenticação.

{% content-ref url="/pages/9WZ3PW4K1WSS8OpsOrjm" %}
[Autenticação](/api/autenticacao.md)
{% endcontent-ref %}

## Realizando a chamada para a busca de um cadastro

```http
https://api.cange.me/register
```

<mark style="color:green;">`GET`</mark> `/register/`

Endpoint com o objetivo de buscar os dados de um cadastro

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/json`         |
| Origin        | `https://app.cange.me`     |
| Authorization | `Bearer <token de acesso>` |

**Query String Parameter**

```
id_register=693&withAnswers=false&likeSearch=Teste
```

| Name          | Description                                                       |
| ------------- | ----------------------------------------------------------------- |
| `id_register` | Código identificador do cadastro                                  |
| `withAnswers` | Se deseja retornar com os dados do cadastro (true/false)          |
| `likeSearch`  | Se deseja fazer a busca por algum valor nos registros do cadastro |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cange.me/api/cadastros/buscar-um-cadastro.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
